Skip to main content
`Ctrl`+`K`

# TSPythonSetType

Initialize a `TS` object implemented in Python.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSPythonSetType(TS ts, const char pyname[])

Collective

## Input Parameters

- ts - the `TS` context

- pyname - full dotted Python name [package].module[.{class|function}]

## Options Database Key

- -ts_python_type pyname - python class

## See Also

TS: Scalable ODE and DAE Solvers, `TSCreate()`, `TSSetType()`, `TSPYTHON`, `PetscPythonInitialize()`

## Level

intermediate

## Location

src/ts/impls/python/pythonts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages